/*
 * Copyright 2010-2014 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * A copy of the License is located at
 * 
 *  http://aws.amazon.com/apache2.0
 * 
 * or in the "license" file accompanying this file. This file is distributed
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */

/*
 * Do not modify this file. This file is generated from the cloudtrail-2013-11-01.normal.json service model.
 */
using System;
using System.Collections.Generic;
using System.Globalization;
using System.IO;
using System.Text;
using System.Xml.Serialization;

using Amazon.CloudTrail.Model;
using Amazon.Runtime;
using Amazon.Runtime.Internal;
using Amazon.Runtime.Internal.Transform;
using Amazon.Runtime.Internal.Util;
using ThirdParty.Json.LitJson;

namespace Amazon.CloudTrail.Model.Internal.MarshallTransformations
{
    /// <summary>
    /// LookupAttribute Marshaller
    /// </summary>       
    public class LookupAttributeMarshaller : IRequestMarshaller<LookupAttribute, JsonMarshallerContext> 
    {
        public void Marshall(LookupAttribute requestObject, JsonMarshallerContext context)
        {
            if(requestObject.IsSetAttributeKey())
            {
                context.Writer.WritePropertyName("AttributeKey");
                context.Writer.Write(requestObject.AttributeKey);
            }

            if(requestObject.IsSetAttributeValue())
            {
                context.Writer.WritePropertyName("AttributeValue");
                context.Writer.Write(requestObject.AttributeValue);
            }

        }

        public readonly static LookupAttributeMarshaller Instance = new LookupAttributeMarshaller();

    }
}