/*
 * Copyright 2010-2014 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * A copy of the License is located at
 * 
 *  http://aws.amazon.com/apache2.0
 * 
 * or in the "license" file accompanying this file. This file is distributed
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */

/*
 * Do not modify this file. This file is generated from the ec2-2015-04-15.normal.json service model.
 */
using System;
using System.Collections.Generic;
using System.Globalization;
using System.IO;
using System.Net;
using System.Text;
using System.Xml.Serialization;

using Amazon.EC2.Model;
using Amazon.Runtime;
using Amazon.Runtime.Internal;
using Amazon.Runtime.Internal.Transform;
using Amazon.Runtime.Internal.Util;
namespace Amazon.EC2.Model.Internal.MarshallTransformations
{
    /// <summary>
    /// Response Unmarshaller for ConversionTask Object
    /// </summary>  
    public class ConversionTaskUnmarshaller : IUnmarshaller<ConversionTask, XmlUnmarshallerContext>, IUnmarshaller<ConversionTask, JsonUnmarshallerContext>
    {
        public ConversionTask Unmarshall(XmlUnmarshallerContext context)
        {
            ConversionTask unmarshalledObject = new ConversionTask();
            int originalDepth = context.CurrentDepth;
            int targetDepth = originalDepth + 1;
            
            if (context.IsStartOfDocument) 
               targetDepth += 2;
            
            while (context.ReadAtDepth(originalDepth))
            {
                if (context.IsStartElement || context.IsAttribute)
                {
                    if (context.TestExpression("conversionTaskId", targetDepth))
                    {
                        var unmarshaller = StringUnmarshaller.Instance;
                        unmarshalledObject.ConversionTaskId = unmarshaller.Unmarshall(context);
                        continue;
                    }
                    if (context.TestExpression("expirationTime", targetDepth))
                    {
                        var unmarshaller = StringUnmarshaller.Instance;
                        unmarshalledObject.ExpirationTime = unmarshaller.Unmarshall(context);
                        continue;
                    }
                    if (context.TestExpression("importInstance", targetDepth))
                    {
                        var unmarshaller = ImportInstanceTaskDetailsUnmarshaller.Instance;
                        unmarshalledObject.ImportInstance = unmarshaller.Unmarshall(context);
                        continue;
                    }
                    if (context.TestExpression("importVolume", targetDepth))
                    {
                        var unmarshaller = ImportVolumeTaskDetailsUnmarshaller.Instance;
                        unmarshalledObject.ImportVolume = unmarshaller.Unmarshall(context);
                        continue;
                    }
                    if (context.TestExpression("state", targetDepth))
                    {
                        var unmarshaller = StringUnmarshaller.Instance;
                        unmarshalledObject.State = unmarshaller.Unmarshall(context);
                        continue;
                    }
                    if (context.TestExpression("statusMessage", targetDepth))
                    {
                        var unmarshaller = StringUnmarshaller.Instance;
                        unmarshalledObject.StatusMessage = unmarshaller.Unmarshall(context);
                        continue;
                    }
                    if (context.TestExpression("tagSet/item", targetDepth))
                    {
                        var unmarshaller = TagUnmarshaller.Instance;
                        var item = unmarshaller.Unmarshall(context);
                        unmarshalledObject.Tags.Add(item);
                        continue;
                    }
                }
                else if (context.IsEndElement && context.CurrentDepth < originalDepth)
                {
                    return unmarshalledObject;
                }
            }

            return unmarshalledObject;
        }

        public ConversionTask Unmarshall(JsonUnmarshallerContext context)
        {
            return null;
        }


        private static ConversionTaskUnmarshaller _instance = new ConversionTaskUnmarshaller();        

        public static ConversionTaskUnmarshaller Instance
        {
            get
            {
                return _instance;
            }
        }
    }
}